Bug 151352 - [patch] sysutils/fcron portupdate: 3.0.3 to 3.0.6
Summary: [patch] sysutils/fcron portupdate: 3.0.3 to 3.0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-10 04:20 UTC by dereckson
Modified: 2010-10-13 04:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.25 KB, patch)
2010-10-10 04:20 UTC, dereckson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dereckson 2010-10-10 04:20:01 UTC
* Upgrade to 3.0.6
* License framework: GPLv2

CHANGELOG excerpt
_________________

11/08/2007      fcron 3.0.4 released
In this release the option random has been improved, a new option
erroronlymail has been added so as an email is sent only when the job
exited with a non-zero status.
Some cleanup on the file closures have been done, which should remove
the problems some users would see when job were executed (could not
read/write pid, etc).

03/04/2010      fcron 3.0.5 released
The prior focus of this release is to fix a security issue that was
found and would allow a malicious user to read fcron configuration
files and the fcrontabs of non-root users.

It also brings various minor improvements and bug fixes: please check
the changes file for more details.

04/05/2010      fcron 3.0.6 released
This new release fixes an issue preventing user from using fcrontab
correctly on some systems: they would get an operation not permitted
error message. A few other minor bug fixes are included as well.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-10-10 04:20:08 UTC
Maintainer of sysutils/fcron,

Please note that PR ports/151352 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151352

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-10-10 04:20:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Po-Chuan Hsieh freebsd_committer 2010-10-12 17:45:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 4 dfilter service freebsd_committer 2010-10-13 04:16:32 UTC
sunpoet     2010-10-13 03:16:26 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/fcron       Makefile distinfo 
  Log:
  - Update to 3.0.6
  - Add LICENSE
  
  Changes:        http://fcron.free.fr/doc/en/changes.html
  PR:             ports/151352
  Submitted by:   Sebastien Santoro <dereckson@gmail.com>
  Approved by:    pgollucci (mentor, implicit)
  
  Revision  Changes    Path
  1.26      +3 -1      ports/sysutils/fcron/Makefile
  1.12      +3 -3      ports/sysutils/fcron/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Po-Chuan Hsieh freebsd_committer 2010-10-13 04:16:43 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!